import '../../models/notification_model.dart';

typedef NotificationList = List<NotificationModel>;

abstract class NotificationService {
  /// Returns all notifications for admin.
  Future<NotificationList> getNotifications();

  /// Broadcasts a public notification to all users.
  Future<void> sendPublicNotification(String title, String description);
}
